# EntityToggleGlideEvent (Scissors-API 1.18.2-R0.1-SNAPSHOT API)
declaration: package: org.bukkit.event.entity, class: EntityToggleGlideEvent

Package org.bukkit.event.entity

# Class EntityToggleGlideEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.entity.EntityEvent
org.bukkit.event.entity.EntityToggleGlideEvent

All Implemented Interfaces:
  `Cancellable`

public class EntityToggleGlideEvent extends EntityEvent implements Cancellable
Sent when an entity's gliding status is toggled with an Elytra. Examples of when this event would be called:

- Player presses the jump key while in midair and using an Elytra
- Player lands on ground while they are gliding (with an Elytra)

This can be visually estimated by the animation in which a player turns horizontal.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.entity.EntityEvent

`entity`

## Constructor Summary

Constructors
Constructor
Description
`EntityToggleGlideEvent(@NotNull LivingEntity who, boolean isGliding)`

## Method Summary

Modifier and Type
Method
Description
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`boolean`
`isCancelled()`
Gets the cancellation state of this event.
`boolean`
`isGliding()`
Returns true if the entity is now gliding or false if the entity stops gliding.
`void`
`setCancelled(boolean cancel)`
Sets the cancellation state of this event.

### Methods inherited from class org.bukkit.event.entity.EntityEvent

`getEntity, getEntityType`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EntityToggleGlideEvent

public EntityToggleGlideEvent(@NotNull @NotNull LivingEntity who, boolean isGliding)

## Method Details

### isCancelled

public boolean isCancelled()
Description copied from interface: `Cancellable`
Gets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins

Specified by:
  `isCancelled` in interface `Cancellable`
Returns:
  true if this event is cancelled

### setCancelled

public void setCancelled(boolean cancel)
Description copied from interface: `Cancellable`
Sets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins.

Specified by:
  `setCancelled` in interface `Cancellable`
Parameters:
  `cancel` - true if you wish to cancel this event

### isGliding

public boolean isGliding()
Returns true if the entity is now gliding or false if the entity stops gliding.

Returns:
  new gliding state

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()